Get an identity provider by ID
curl --request GET \
--url https://api.swarmd.ai/tenant-auth/v1/identity-providers/{identityProviderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swarmd.ai/tenant-auth/v1/identity-providers/{identityProviderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swarmd.ai/tenant-auth/v1/identity-providers/{identityProviderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>",
"displayName": "<string>",
"enabled": true,
"config": {
"type": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"groupMappings": {},
"emailDomains": [
{
"domain": "<string>",
"expectedTxtRecordName": "<string>",
"expectedTxtRecordValue": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"lastCheckError": "<string>"
}
],
"redirectUri": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Identity Providers
Get an identity provider by ID
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | IDENTITY_PROVIDERS | READ | IDENTITY_PROVIDERS:READ |
GET
/
tenant-auth
/
v1
/
identity-providers
/
{identityProviderId}
Get an identity provider by ID
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Response
200 - */*
OK
Available options:
MICROSOFT_ENTRA, GOOGLE_WORKSPACE, OKTA - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
